#!/bin/bash
#Dateiberechtigungen allgemein für Wordpress setzen
#sudo chown -R www-data:www-data /srv/containers/wordpress && sudo find /srv/containers/wordpress -type d -exec chmod 755 {} \;&& sudo find /srv/containers/wordpress -type f -exec chmod 766 {} \;
sudo chown -R pi:www-data /srv/containers/wpself/go-indexer/

# Die index.json auch in das lokale Verzeichnis kopieren
JSONDATA="/srv/containers/wpself/wp_data/offline/index.json"
LOKALJSONDATA="/srv/containers/wpself/wp_data/wp/index.json"

# Aktuellen Zeitstempel ausgeben
echo "Start: $(date '+%Y-%m-%d %H:%M:%S')"

#Schalterdatei suchen
SCHALTER="/srv/containers/wpself/wp_data/offline/rsync_schalter.txt"
if [ -f "$SCHALTER" ]; then

	echo "Kopie der index.json in das lokale WP-Verzeichnis"
	ls -la $JSONDATA
	cp $JSONDATA $LOKALJSONDATA
	ls -la $LOKALJSONDATA

	echo "Übertŕagung in das Zielverzeichnis auf den Webserver"
	sudo rm $SCHALTER
	sudo chmod 777 /srv/containers/wpself/wp_data/offline/wordlist.txt
	rsync -avz --delete -e "ssh -i /home/pi/.ssh/id_rsa" /srv/containers/wpself/wp_data/offline/ pi@raspi5:/srv/webproxy/html/lang-dieter-de/wp/ 
	
	sudo chmod 777 /srv/containers/wpself/wp_data/offline -R
	sudo rm -rf /srv/containers/wpself/wp_data/offline/*
	#sudo ls -la /srv/containers/wpself/wp_data/offline/
	sudo rm -rf /srv/containers/wpself/wp_data/wp-content/uploads/simply-static/temp-files/*
	#sudo ls -la /srv/containers/wpself/wp_data/wp-content/uploads/simply-static/temp-files/

else
	echo "Datei $SCHALTER ist nicht vorhanden. Nichts zu tun."
fi
echo "Ende: $(date '+%Y-%m-%d %H:%M:%S')"
